<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="MBN_DeadZone">
    <refnamediv>
        <refname>MBN_DeadZone</refname>
        <refpurpose>MBN_DeadZone Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gif/MBN_DeadZone.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_MBN_DeadZone">
        <title>Description</title>
        <para>
            Provide a region of zero output
        </para>
    </refsection>
    <refsection id="Palette_MBN_DeadZone">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Blocks_pal">Blocks - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../images/gui/MBN_DeadZone_gui.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">uMax [-] : Upper limits of dead zones</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : 1</para>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">uMin [-] : Lower limits of dead zones</emphasis>
                </para>
                <para> Properties : Type 'vec' of size 1. </para>
                <para> Default value : -1</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_MBN_DeadZone">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'u'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'y'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Parameters :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'uMax'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> 1
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica parameter name :</emphasis> 'uMin'
                        </para>
                        <para>
                            <emphasis role="bold">Default value :</emphasis> -1
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_MBN_DeadZone">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>MBN_DeadZone.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_MBN_DeadZone">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Modelica.Blocks.Nonlinear.DeadZone in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
